Upgrade Omv 2->3->4 - Hilfe

    • OMV 4.x
    • Upgrade 2.x -> 4.x

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Upgrade Omv 2->3->4 - Hilfe

      Hallo! Ich habe leider einen riesen Fehler gemacht: In dem Glaube ich
      sei auf Version 3 von OpenMediavault habe ich das omv-release-upgrade
      gemacht.

      Ich war allerdings auf 2, danach dann eben auf 3 und ich kam
      nicht mehr in die WebGui.

      Dann habe ich noch ein omv-release upgrade
      gemacht. Jetzt bin ich auf 4, komme aber immer noch nicht in die
      Administration.


      Wenn ich "apt-get dist-upgrade" eingebe kommt:

      ----

      Paketlisten werden gelesen... Fertig
      Abhängigkeitsbaum wird aufgebaut.
      Statusinformationen werden eingelesen.... Fertig
      Paketaktualisierung (Upgrade) wird berechnet... Fertig
      Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
      libcaca0 libpng12-0 libsdl1.2debian libvncserver0 libvpx1 ttf-dejavu-core
      Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
      0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
      13 nicht vollständig installiert oder entfernt.
      Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
      Möchten Sie fortfahren? [J/n] J
      php7.0-fpm (7.0.27-0+deb9u1) wird eingerichtet ...
      insserv: script virtualbox: service vboxdrv already provided!
      insserv: script virtualbox: service virtualbox already provided!
      Job for php7.0-fpm.service failed because the control process exited with error code.
      See "systemctl status php7.0-fpm.service" and "journalctl -xe" for details.
      invoke-rc.d: initscript php7.0-fpm, action "start" failed.
      ● php7.0-fpm.service - The PHP 7.0 FastCGI Process Manager
      Loaded: loaded (/lib/systemd/system/php7.0-fpm.service; enabled; vendor preset: enabled)
      Active: failed (Result: exit-code) since Fri 2018-05-25 13:24:44 CEST; 4ms ago
      Docs: man:php-fpm7.0(8)
      Process: 20398 ExecStart=/usr/sbin/php-fpm7.0 --nodaemonize --fpm-config /etc/php/7.0/fpm/php-fpm.conf (code=exited, status=78)
      Main PID: 20398 (code=exited, status=78)
      CPU: 21ms


      Mai 25 13:24:44 RaidDom systemd[1]: Starting The PHP 7.0 FastCGI Process Manager...
      Mai 25 13:24:44 RaidDom php-fpm7.0[20398]: [25-May-2018 13:24:44] ERROR: [pool openmediavault-webgui] cannot get uid for user 'openmediavault-webgui'
      Mai 25 13:24:44 RaidDom php-fpm7.0[20398]: [25-May-2018 13:24:44] ERROR: FPM initialization failed
      Mai 25 13:24:44 RaidDom systemd[1]: php7.0-fpm.service: Main process exited, code=exited, status=78/n/a
      Mai 25 13:24:44 RaidDom systemd[1]: Failed to start The PHP 7.0 FastCGI Process Manager.
      Mai 25 13:24:44 RaidDom systemd[1]: php7.0-fpm.service: Unit entered failed state.
      Mai 25 13:24:44 RaidDom systemd[1]: php7.0-fpm.service: Failed with result 'exit-code'.
      dpkg: Fehler beim Bearbeiten des Paketes php7.0-fpm (--configure):
      Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
      xrdp (0.9.1-9+deb9u2) wird eingerichtet ...
      insserv: script virtualbox: service vboxdrv already provided!
      insserv: script virtualbox: service virtualbox already provided!
      Job for xrdp.service failed because the control process exited with error code.
      See "systemctl status xrdp.service" and "journalctl -xe" for details.
      invoke-rc.d: initscript xrdp, action "restart" failed.
      ● xrdp.service - xrdp daemon
      Loaded: loaded (/lib/systemd/system/xrdp.service; enabled; vendor preset: enabled)
      Active: failed (Result: exit-code) since Fri 2018-05-25 13:24:45 CEST; 6ms ago
      Docs: man:xrdp(8)
      man:xrdp.ini(5)
      Process: 20481 ExecStart=/usr/sbin/xrdp $XRDP_OPTIONS (code=exited, status=1/FAILURE)
      Process: 20471 ExecStartPre=/bin/sh /usr/share/xrdp/socksetup (code=exited, status=0/SUCCESS)
      CPU: 6ms


      Mai 25 13:24:45 RaidDom systemd[1]: Starting xrdp daemon...
      Mai 25 13:24:45 RaidDom systemd[1]: xrdp.service: Control process exited, code=exited status=1
      Mai 25 13:24:45 RaidDom systemd[1]: Failed to start xrdp daemon.
      Mai 25 13:24:45 RaidDom systemd[1]: xrdp.service: Unit entered failed state.
      Mai 25 13:24:45 RaidDom systemd[1]: xrdp.service: Failed with result 'exit-code'.
      dpkg: Fehler beim Bearbeiten des Paketes xrdp (--configure):
      Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
      openmediavault (4.1.6) wird eingerichtet ...
      Updating configuration database ...
      chown: invalid group: ':openmediavault-config'
      ERROR: Failed to create the default configuration: Command '['/usr/share/openmediavault/confdb/create.d/conf.sh']' returned non-zero exit status 1
      dpkg: Fehler beim Bearbeiten des Paketes openmediavault (--configure):
      Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-luksencryption:
      openmediavault-luksencryption hängt ab von openmediavault (>= 3.0.67); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-luksencryption (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von omvextras-common:
      omvextras-common hängt ab von openmediavault (>= 3.0.15); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes omvextras-common (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-backup:
      openmediavault-backup hängt ab von openmediavault (>= 3.0.40); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-backup (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-remotedesktop:
      openmediavault-remotedesktop hängt ab von openmediavault (>= 3.0.40); aber:
      Paket openmediavault ist noch nicht konfiguriert.
      openmediavault-remotedesktop hängt ab von xrdp; aber:
      Paket xrdp ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-remotedesktop (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-omvextrasorg:
      openmediavault-omvextrasorg hängt ab von openmediavault (>= 4.0.4); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-omvextrasorg (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-usbbackup:
      openmediavault-usbbackup hängt ab von openmediavault (>= 4.0.12); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-usbbackup (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-wol:
      openmediavault-wol hängt ab von openmediavault (>= 3.0.67); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-wol (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-autoshutdown:
      openmediavault-autoshutdown hängt ab von openmediavault (>= 3.0.40); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-autoshutdown (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-openvpn:
      openmediavault-openvpn hängt ab von openmediavault (>= 3.0.67); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-openvpn (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-clamav:
      openmediavault-clamav hängt ab von openmediavault (>= 4.0.12); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-clamav (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      Trigger für libc-bin (2.24-11+deb9u3) werden verarbeitet ...
      Fehler traten auf beim Bearbeiten von:
      php7.0-fpm
      xrdp
      openmediavault
      openmediavault-luksencryption
      omvextras-common
      openmediavault-backup
      openmediavault-remotedesktop
      openmediavault-omvextrasorg
      openmediavault-usbbackup
      openmediavault-wol
      openmediavault-autoshutdown
      openmediavault-openvpn
      openmediavault-clamav
      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f6b729c3730>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f6b729c3730>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      E: Sub-process /usr/bin/dpkg returned an error code (1)

      ------

      Ich hoffe, das System ist noch zu retten. Wäre toll, wenn mir hier jemand helfen kann.
      • We don't recommend upgrading 2 -> 3
      • you should have fixed 3.x before upgrading to 4.x.
      • You should have taken a backup of the system before the upgrade
      • if you install fresh, you won't lose data but you will have to setup everything again

      What is the output of: dpkg -l | grep openm
      omv 4.1.11 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • I know.. I made al ot of mistakes. Well... maybe there's still hope.

      I am happy to provide the requested output:

      dpkg -l | grep openm
      grep: Warnung: GREP_OPTIONS sind veraltet. Bitte benutzen Sie ein Alias oder ein Skript
      iF openmediavault 4.1.6 all openmediavault - The open network attached storage solution
      iU openmediavault-autoshutdown 3.1.4 all OpenMediaVault AutoShutdown Plugin
      iU openmediavault-backup 3.11 all backup plugin for OpenMediaVault.
      iU openmediavault-clamav 4.1.5-1 all OpenMediaVault ClamAV plugin
      rc openmediavault-docker-gui 3.1.9 amd64 OpenMediaVault plugin for Docker
      ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
      iU openmediavault-luksencryption 3.0.3 all OpenMediaVault LUKS encryption plugin
      iU openmediavault-omvextrasorg 4.1.7 all OMV-Extras.org Package Repositories for OpenMediaVault
      iU openmediavault-openvpn 3.0.6 all OpenVPN plugin for OpenMediaVault.
      iU openmediavault-remotedesktop 3.6 all Remote desktop plugin for OpenMediaVault.
      iU openmediavault-usbbackup 4.0.5-1 all OpenMediaVault USB/eSATA backup plugin
      rc openmediavault-virtualbox 3.0.8 all VirtualBox plugin for OpenMediaVault.
      iU openmediavault-wol 3.3 all OpenMediaVault WOL plugin
    • Try the following:

      apt-get purge openmediavault-remotedesktop
      apt-get -f install
      omv 4.1.11 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Thank you for helping. I tried the proposed solution. The purge command does not complete:


      --------
      sudo apt-get purge openmediavault-remotedesktop
      Paketlisten werden gelesen... Fertig
      Abhängigkeitsbaum wird aufgebaut.
      Statusinformationen werden eingelesen.... Fertig
      Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
      desktop-file-utils exo-utils gtk2-engines-xfce libasyncns0 libcaca0 libexo-1-0 libexo-common libexo-helpers libflac8 libgarcon-1-0 libgarcon-common libgudev-1.0-0 libical2 libkeybinder-3.0-0 libogg0
      libopus0 libpng12-0 libpulse-mainloop-glib0 libpulse0 libsdl1.2debian libsndfile1 libthunarx-2-0 libupower-glib3 libvncserver0 libvorbis0a libvorbisenc2 libvpx1 libxfce4panel-2.0-4 libxfont1 orage
      thunar thunar-data tightvncserver ttf-dejavu-core xfce4 xfce4-appfinder xfce4-panel xfce4-pulseaudio-plugin xfce4-session xfce4-settings xfdesktop4 xfdesktop4-data xfonts-base xfonts-encodings
      xfonts-utils xfwm4 xrdp
      Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
      Die folgenden Pakete werden ENTFERNT:
      openmediavault-remotedesktop*
      0 aktualisiert, 0 neu installiert, 1 zu entfernen und 0 nicht aktualisiert.
      12 nicht vollständig installiert oder entfernt.
      Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
      Möchten Sie fortfahren? [J/n] J
      php7.0-fpm (7.0.27-0+deb9u1) wird eingerichtet ...
      insserv: script virtualbox: service vboxdrv already provided!
      insserv: script virtualbox: service virtualbox already provided!
      Job for php7.0-fpm.service failed because the control process exited with error code.
      See "systemctl status php7.0-fpm.service" and "journalctl -xe" for details.
      invoke-rc.d: initscript php7.0-fpm, action "start" failed.
      ● php7.0-fpm.service - The PHP 7.0 FastCGI Process Manager
      Loaded: loaded (/lib/systemd/system/php7.0-fpm.service; enabled; vendor preset: enabled)
      Active: failed (Result: exit-code) since Sat 2018-05-26 07:38:01 CEST; 6ms ago
      Docs: man:php-fpm7.0(8)
      Process: 12457 ExecStart=/usr/sbin/php-fpm7.0 --nodaemonize --fpm-config /etc/php/7.0/fpm/php-fpm.conf (code=exited, status=78)
      Main PID: 12457 (code=exited, status=78)
      CPU: 21ms


      Mai 26 07:38:01 RaidDom systemd[1]: Starting The PHP 7.0 FastCGI Process Manager...
      Mai 26 07:38:01 RaidDom php-fpm7.0[12457]: [26-May-2018 07:38:01] ERROR: [pool openmediavault-webgui] cannot get uid for user 'openmediavault-webgui'
      Mai 26 07:38:01 RaidDom php-fpm7.0[12457]: [26-May-2018 07:38:01] ERROR: FPM initialization failed
      Mai 26 07:38:01 RaidDom systemd[1]: php7.0-fpm.service: Main process exited, code=exited, status=78/n/a
      Mai 26 07:38:01 RaidDom systemd[1]: Failed to start The PHP 7.0 FastCGI Process Manager.
      Mai 26 07:38:01 RaidDom systemd[1]: php7.0-fpm.service: Unit entered failed state.
      Mai 26 07:38:01 RaidDom systemd[1]: php7.0-fpm.service: Failed with result 'exit-code'.
      dpkg: Fehler beim Bearbeiten des Paketes php7.0-fpm (--configure):
      Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
      Trigger für libc-bin (2.24-11+deb9u3) werden verarbeitet ...
      xrdp (0.9.1-9+deb9u2) wird eingerichtet ...
      insserv: script virtualbox: service vboxdrv already provided!
      insserv: script virtualbox: service virtualbox already provided!
      Job for xrdp.service failed because the control process exited with error code.
      See "systemctl status xrdp.service" and "journalctl -xe" for details.
      invoke-rc.d: initscript xrdp, action "restart" failed.
      ● xrdp.service - xrdp daemon
      Loaded: loaded (/lib/systemd/system/xrdp.service; enabled; vendor preset: enabled)
      Active: failed (Result: exit-code) since Sat 2018-05-26 07:38:02 CEST; 6ms ago
      Docs: man:xrdp(8)
      man:xrdp.ini(5)
      Process: 12537 ExecStart=/usr/sbin/xrdp $XRDP_OPTIONS (code=exited, status=1/FAILURE)
      Process: 12528 ExecStartPre=/bin/sh /usr/share/xrdp/socksetup (code=exited, status=0/SUCCESS)
      CPU: 6ms


      Mai 26 07:38:02 RaidDom systemd[1]: Starting xrdp daemon...
      Mai 26 07:38:02 RaidDom systemd[1]: xrdp.service: Control process exited, code=exited status=1
      Mai 26 07:38:02 RaidDom systemd[1]: Failed to start xrdp daemon.
      Mai 26 07:38:02 RaidDom systemd[1]: xrdp.service: Unit entered failed state.
      Mai 26 07:38:02 RaidDom systemd[1]: xrdp.service: Failed with result 'exit-code'.
      dpkg: Fehler beim Bearbeiten des Paketes xrdp (--configure):
      Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
      openmediavault (4.1.6) wird eingerichtet ...
      Updating configuration database ...
      chown: invalid group: ':openmediavault-config'
      ERROR: Failed to create the default configuration: Command '['/usr/share/openmediavault/confdb/create.d/conf.sh']' returned non-zero exit status 1
      dpkg: Fehler beim Bearbeiten des Paketes openmediavault (--configure):
      Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-luksencryption:
      openmediavault-luksencryption hängt ab von openmediavault (>= 3.0.67); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-luksencryption (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von omvextras-common:
      omvextras-common hängt ab von openmediavault (>= 3.0.15); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes omvextras-common (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-backup:
      openmediavault-backup hängt ab von openmediavault (>= 3.0.40); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-backup (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-omvextrasorg:
      openmediavault-omvextrasorg hängt ab von openmediavault (>= 4.0.4); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-omvextrasorg (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-usbbackup:
      openmediavault-usbbackup hängt ab von openmediavault (>= 4.0.12); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-usbbackup (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-wol:
      openmediavault-wol hängt ab von openmediavault (>= 3.0.67); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-wol (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-autoshutdown:
      openmediavault-autoshutdown hängt ab von openmediavault (>= 3.0.40); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-autoshutdown (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-openvpn:
      openmediavault-openvpn hängt ab von openmediavault (>= 3.0.67); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-openvpn (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openmediavault-clamav:
      openmediavault-clamav hängt ab von openmediavault (>= 4.0.12); aber:
      Paket openmediavault ist noch nicht konfiguriert.


      dpkg: Fehler beim Bearbeiten des Paketes openmediavault-clamav (--configure):
      Abhängigkeitsprobleme - verbleibt unkonfiguriert
      Fehler traten auf beim Bearbeiten von:
      php7.0-fpm
      xrdp
      openmediavault
      openmediavault-luksencryption
      omvextras-common
      openmediavault-backup
      openmediavault-omvextrasorg
      openmediavault-usbbackup
      openmediavault-wol
      openmediavault-autoshutdown
      openmediavault-openvpn
      openmediavault-clamav
      E: Sub-process /usr/bin/dpkg returned an error code (1)
      ----
      Is there anything else I can try? The problem seems for me to be in php7
    • bladecgn wrote:

      The property 'show_tab' does not exist in the model 'conf.service.virtualbox'.

      Any suggestion on how to fix it?
      This is a browser cache issue.

      bladecgn wrote:

      remot desktop is still having issues.
      I don't know what this means. Can you be more specific?
      omv 4.1.11 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!